libzypp: zypp::zypp_detail::ZYppImpl Class Reference

libzypp 17.25.10

Public Member Functions | Private Attributes | Friends | Related Functions | List of all members
zypp::zypp_detail::ZYppImpl Class Reference

`#include <ZYppImpl.h>`

## Public Member Functions
| ZYppImpl ()
| Default ctor. More...
| ~ZYppImpl ()
| Dtor. More...
ResPool | pool () const
ResPoolProxy | poolProxy () const
KeyRing_Ptr | keyRing () const
Resolver_Ptr | resolver () const
Target_Ptr | target () const
Target_Ptr | getTarget () const
| Same as target but returns NULL if target is not initialized, instead of throwing. More...
void | initializeTarget (const Pathname &root, bool doRebuild_r)
void | finishTarget ()
ZYppCommitResult | commit (const ZYppCommitPolicy &policy_r)
| Commit changes and transactions. More...
void | installSrcPackage (const SrcPackage_constPtr &srcPackage_r)
| Install a source package on the Target. More...
ManagedFile | provideSrcPackage (const SrcPackage_constPtr &srcPackage_r)
| Install a source package on the Target. More...
Pathname | homePath () const
| Get the path where zypp related plugins store persistent data and caches More...
Pathname | tmpPath () const
| Get the path where zypp related plugins store tmp data More...
void | setHomePath (const Pathname &path)
| set the home, if you need to change it More...
DiskUsageCounter::MountPointSet | diskUsage ()
void | setPartitions (const DiskUsageCounter::MountPointSet &mp)
DiskUsageCounter::MountPointSet | getPartitions () const

## Private Attributes
Target_Ptr | _target
Resolver_Ptr | _resolver
KeyRing_Ptr | _keyring
Pathname | _home_path
shared_ptr< DiskUsageCounter > | _disk_usage
| defined mount points, used for disk usage counting More...

## Friends
std::ostream & | operator<< (std::ostream &str, const ZYppImpl &obj)

## Related Functions
(Note that these are not member functions.)
std::ostream & | operator<< (std::ostream &str, const ZYppImpl &obj)
| Stream output. More...

## Detailed Description

Definition at line 38 of file ZYppImpl.h.

## Constructor & Destructor Documentation

## ◆ ZYppImpl()

zypp::zypp_detail::ZYppImpl::ZYppImpl | ( |  | ) |

Default ctor.

Definition at line 67 of file ZYppImpl.cc.

## ◆ ~ZYppImpl()

zypp::zypp_detail::ZYppImpl::~ZYppImpl | ( |  | ) |

Dtor.

Definition at line 81 of file ZYppImpl.cc.

## Member Function Documentation

## ◆ pool()

ResPool zypp::zypp_detail::ZYppImpl::pool | ( |  | ) | const
| inline

Definition at line 50 of file ZYppImpl.h.

## ◆ poolProxy()

ResPoolProxy zypp::zypp_detail::ZYppImpl::poolProxy | ( |  | ) | const
| inline

Definition at line 53 of file ZYppImpl.h.

## ◆ keyRing()

KeyRing_Ptr zypp::zypp_detail::ZYppImpl::keyRing | ( |  | ) | const
| inline

Definition at line 57 of file ZYppImpl.h.

## ◆ resolver()

Resolver_Ptr zypp::zypp_detail::ZYppImpl::resolver | ( |  | ) | const
| inline

Definition at line 61 of file ZYppImpl.h.

## ◆ target()

Target_Ptr zypp::zypp_detail::ZYppImpl::target | ( |  | ) | const

Todo:
  Signal locale change.

Exceptions

  Exception |

Definition at line 113 of file ZYppImpl.cc.

## ◆ getTarget()

Target_Ptr zypp::zypp_detail::ZYppImpl::getTarget | ( |  | ) | const
| inline

Same as target but returns NULL if target is not initialized, instead of throwing.

Definition at line 74 of file ZYppImpl.h.

## ◆ initializeTarget()

void zypp::zypp_detail::ZYppImpl::initializeTarget | ( | const Pathname & | root,
|  | bool | doRebuild_r
| ) |  |

Exceptions

  Exception | true, just init the target, dont populate store or pool

Definition at line 120 of file ZYppImpl.cc.

## ◆ finishTarget()

void zypp::zypp_detail::ZYppImpl::finishTarget | ( |  | ) |

Exceptions

  Exception |

Definition at line 136 of file ZYppImpl.cc.

## ◆ commit()

ZYppCommitResult zypp::zypp_detail::ZYppImpl::commit | ( | const ZYppCommitPolicy & | policy_r | ) |

Commit changes and transactions.

Todo:
  Remove workflow from target, lot's of it could be done here, and target used for transact.

Definition at line 149 of file ZYppImpl.cc.

## ◆ installSrcPackage()

void zypp::zypp_detail::ZYppImpl::installSrcPackage | ( | const SrcPackage_constPtr & | srcPackage_r | ) |

Install a source package on the Target.

Definition at line 188 of file ZYppImpl.cc.

## ◆ provideSrcPackage()

ManagedFile zypp::zypp_detail::ZYppImpl::provideSrcPackage | ( | const SrcPackage_constPtr & | srcPackage_r | ) |

Install a source package on the Target.

Definition at line 195 of file ZYppImpl.cc.

## ◆ homePath()

Pathname zypp::zypp_detail::ZYppImpl::homePath | ( |  | ) | const

Get the path where zypp related plugins store persistent data and caches

Definition at line 205 of file ZYppImpl.cc.

## ◆ tmpPath()

Pathname zypp::zypp_detail::ZYppImpl::tmpPath | ( |  | ) | const

Get the path where zypp related plugins store tmp data

Definition at line 211 of file ZYppImpl.cc.

## ◆ setHomePath()

void zypp::zypp_detail::ZYppImpl::setHomePath | ( | const Pathname & | path | ) |

set the home, if you need to change it

Definition at line 208 of file ZYppImpl.cc.

## ◆ diskUsage()

DiskUsageCounter::MountPointSet zypp::zypp_detail::ZYppImpl::diskUsage | ( |  | ) |

Definition at line 87 of file ZYppImpl.cc.

## ◆ setPartitions()

void zypp::zypp_detail::ZYppImpl::setPartitions | ( | const DiskUsageCounter::MountPointSet & | mp | ) |

Definition at line 96 of file ZYppImpl.cc.

## ◆ getPartitions()

DiskUsageCounter::MountPointSet zypp::zypp_detail::ZYppImpl::getPartitions | ( |  | ) | const

Definition at line 102 of file ZYppImpl.cc.

## Friends And Related Function Documentation

## ◆ operator<< [1/2]

std::ostream& operator<< | ( | std::ostream & | str,
|  | const ZYppImpl & | obj
| ) |  |
| friend

Definition at line 219 of file ZYppImpl.cc.

## ◆ operator<<() [2/2]

std::ostream & operator<< | ( | std::ostream & | str,
|  | const ZYppImpl & | obj
| ) |  |
| related

Stream output.

Definition at line 219 of file ZYppImpl.cc.

## Member Data Documentation

## ◆ _target

Target_Ptr zypp::zypp_detail::ZYppImpl::_target
| private

Definition at line 114 of file ZYppImpl.h.

## ◆ _resolver

Resolver_Ptr zypp::zypp_detail::ZYppImpl::_resolver
| private

Definition at line 116 of file ZYppImpl.h.

## ◆ _keyring

KeyRing_Ptr zypp::zypp_detail::ZYppImpl::_keyring
| private

Definition at line 118 of file ZYppImpl.h.

## ◆ _home_path

Pathname zypp::zypp_detail::ZYppImpl::_home_path
| private

Definition at line 120 of file ZYppImpl.h.

## ◆ _disk_usage

shared_ptr<DiskUsageCounter> zypp::zypp_detail::ZYppImpl::_disk_usage
| private

defined mount points, used for disk usage counting

Definition at line 122 of file ZYppImpl.h.

The documentation for this class was generated from the following files:

- zypp/zypp_detail/ZYppImpl.h
- zypp/zypp_detail/ZYppImpl.cc